## dhex 0.65

=== Makefile ===
CC=		gcc
LDFLAGS=	-L/usr/lib	-L/usr/local/lib  	-L/usr/lib/ncurses	-L/usr/local/lib/ncurses
CPPFLAGS=	-I/usr/include	-I/usr/local/include	-I/usr/include/ncurses	-I/usr/local/include/ncurses
CFLAGS=		-O3 -Wall -std=c99 
#CFLAGS+= -ffunction-sections -fdata-sections
#LDFLAGS+= --gc-sections 
LIBS=		-lncurses
DESTDIR=	/usr/local/

OFILES=buffers.o \
	configfile.o \
	correlation.o \
	gpl.o \
	hexcalc.o \
	input.o \
	machine_type.o \
	main.o \
	markers.o \
	menu.o \
	output.o \
	search.o \
	ui.o

all:	dhex

dhex:	$(OFILES)
	$(CC) $(LDFLAGS) -o $@ $(OFILES) $(LIBS)

install:all
	strip dhex
	cp dhex $(DESTDIR)/bin
	cp dhex.1 $(DESTDIR)/share/man/man1
	cp dhexrc.5 $(DESTDIR)/share/man/man5
	cp dhex_markers.5 $(DESTDIR)/share/man/man5
	cp dhex_searchlog.5 $(DESTDIR)/share/man/man5

	

.c.o:
	$(CC) $< -c -I. $(CPPFLAGS) $(CFLAGS) $(OPTIONS)

clean:
	rm -f dhex $(OFILES)

=== debian/changelog ===
dhex (0.65-1) unstable; urgency=low

  * Initial release. (Closes: #613929)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Thu, 27 Jan 2011 08:34:24 +0100

=== debian/control ===
Source: dhex
Section: editors
Priority: optional
Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev
Standards-Version: 3.9.1
Homepage: http://www.dettus.net/dhex/

Package: dhex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ncurses based hex editor with diff mode
 This is more than just another hex editor: It includes a diff mode, which
 can be used to easily and conveniently compare two binary files. Since it is
 based on ncurses and is themeable, it can run on any number of systems and
 scenarios. With its utilization of search logs, it is possible to track
 changes in different iterations of files easily.

## dhex 0.67

=== debian/changelog ===
dhex (0.67-1) unstable; urgency=low

  [ Gürkan Sengün ]
  * New upstream version. (Closes: #674782)
  * Bump standards version to 3.9.3.

  [ Axel Beckert ]
  * Enable hardening build flags
    + Bump debhelper compatibility to 9
    + Patch Makefile slightly by doing some s/=/+=/
  * Bump debian/copyright format to 1.0

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Fri, 22 Jun 2012 14:52:55 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: editors
 Priority: optional
 Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9~), libncurses5-dev
+Standards-Version: 3.9.3
 Homepage: http://www.dettus.net/dhex/
 
 Package: dhex

## dhex 0.68

=== Makefile ===
--- 
+++ 
@@ -29,10 +29,10 @@
 install:all
 	strip dhex
 	cp dhex $(DESTDIR)/bin
-	cp dhex.1 $(DESTDIR)/share/man/man1
-	cp dhexrc.5 $(DESTDIR)/share/man/man5
-	cp dhex_markers.5 $(DESTDIR)/share/man/man5
-	cp dhex_searchlog.5 $(DESTDIR)/share/man/man5
+	cp dhex.1 $(DESTDIR)/man/man1
+	cp dhexrc.5 $(DESTDIR)/man/man5
+	cp dhex_markers.5 $(DESTDIR)/man/man5
+	cp dhex_searchlog.5 $(DESTDIR)/man/man5

=== debian/changelog ===
dhex (0.68-3) unstable; urgency=medium

  * Add myself to Uploaders.
  * Drop stripping, thanks Helmut Grohne. (Closes: #865731)
  * Fix busy waiting for input. (Closes: #714014)
  * Bump debhelper version to 11.
  * Bump standards version to 4.1.3.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 14 Mar 2018 08:27:56 +0100

dhex (0.68-2) unstable; urgency=low

  * Upload to unstable because Wheezy is now stable. \o/

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Mon, 06 May 2013 11:41:52 +0100

dhex (0.68-1) experimental; urgency=low

  * New upstream release
  * New maintainer (Closes: #691818)
    - Update debian/{control,copyright} accordingly.
  * Add debian/patches/dhex.1-man-typo to fix errors caught by linitian
  * Import packaging git repo to collab-maint
    - Add VCS-{Git,Browser} URLs 
  * Bump S-V to 3.9.4
    - No changes needed
  * Fix Copyright Format 1.0 syntax error in debian/copyright
    - s/GNU GPL 2\+/GPL-2+/
  * Update package long description to aid searching
  * Thanks to Gregor Herrmann for reviewing and sponsoring this upload

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Wed, 31 Oct 2012 22:38:35 +0000

=== debian/control ===
Source: dhex
Section: editors
Priority: optional
Maintainer: Jonathan McCrohan <jmccrohan@gmail.com>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11~), libncurses5-dev
Standards-Version: 4.1.3
Vcs-Git: git://git.debian.org/git/collab-maint/dhex.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/dhex.git
Homepage: http://www.dettus.net/dhex/

Package: dhex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ncurses based hex editor with diff mode
 dhex is more than just another hex editor: It includes a diff mode, which
 can be used to easily and conveniently compare two binary files. Since it is
 based on ncurses and is themeable, it can run on any number of systems and
 scenarios. With its utilization of search logs, it is possible to track
 changes in different iterations of files easily.

## dhex 0.69

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CC=		gcc
 LDFLAGS=	-L/usr/lib	-L/usr/local/lib  	-L/usr/lib/ncurses	-L/usr/local/lib/ncurses
 CPPFLAGS=	-I/usr/include	-I/usr/local/include	-I/usr/include/ncurses	-I/usr/local/include/ncurses
-CFLAGS=		-O3 -Wall -std=c99 
+CFLAGS=		-O3 -Wall #-std=c99 
 #CFLAGS+= -ffunction-sections -fdata-sections
 #LDFLAGS+= --gc-sections 
 LIBS=		-lncurses

=== debian/changelog ===
dhex (0.69-1) unstable; urgency=medium

  * New upstream version.
  * debian/control: drop Vcs fields.
  * Bump standards version to 4.2.1.
  * debian/copyright: updated years.
  * debian/install and manpages: added.
  * debian/rules: disabled install target.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 22 Jan 2019 08:06:27 +0100

=== debian/control ===
Source: dhex
Section: editors
Priority: optional
Maintainer: Jonathan McCrohan <jmccrohan@gmail.com>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11~), libncurses5-dev
Standards-Version: 4.2.1
Homepage: http://www.dettus.net/dhex/

Package: dhex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ncurses based hex editor with diff mode
 This is more than just another hex editor: It includes a diff mode, which
 can be used to easily and conveniently compare two binary files. Since it is
 based on ncurses and is themeable, it can run on any number of systems and
 scenarios. With its utilization of search logs, it is possible to track
 changes in different iterations of files easily.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_install:
	@echo skip install target

=== debian/watch ===
version=3
http://www.dettus.net/dhex/ dhex_([0-9].*)\.tar\.gz
